import { memo, useRef, useState } from 'react';
import { ScrollView } from '@tarojs/components';
import Taro from '@tarojs/taro';

const Index = (props) => {
  const { children, refreshFetcher } = props;
  const scrollTop = useRef(0);
  const [refreshStatus, setStatus] = useState(false);
  return (
    <ScrollView
      {...props}
      refresherEnabled={props.refresherEnabled}
      refresherTriggered={refreshStatus}
      onRefresherRefresh={() => {
        setStatus(() => true);
        refreshFetcher && refreshFetcher()
        setTimeout(() => {
          setStatus(() => false)
        }, 1000)
      }}
      onTouchMove={(e) => {
        if (scrollTop.current !== 0) {
          e.stopPropagation();
        }
      }}
      onScroll={(e) => {
        scrollTop.current = e.detail.scrollTop;
      }}
    >
      {children}
    </ScrollView>
  );
};
export default memo(Index);
