import { View, Image } from '@tarojs/components'
import connectble from "@/assets/connectble.png";
import addDev from "@/assets/addDev.png";
import router from '@/baseRouter/index'
import BLESDK from '@/utils/ble'
import { useState } from 'react';
import Taro, { useDidShow } from '@tarojs/taro';
import './index.less'

export default function Index() {
  const [isLink, setIsLink] = useState(BLESDK.deviceInfo.state)
  const [deviceInfo, setDeviceInfo] = useState(BLESDK.deviceInfo)

  const addDevice = () => {
    router.navigate('/pages/deviceList/index')
  }
  const deviceCallBack = () => {
    console.log(BLESDK.deviceInfo, '解绑2');
    setDeviceInfo({ ...BLESDK.deviceInfo })
    setIsLink(BLESDK.deviceInfo.state)
  }
  useDidShow(() => {
    BLESDK.deviceCallBack(deviceCallBack)
    setIsLink(BLESDK.deviceInfo.state)
    setDeviceInfo({ ...BLESDK.deviceInfo })
  })

  const unbind = () => {
    Taro.showModal({
      title: '解绑设备',
      content: '确认解绑当前设备？',
      success: (res) => {
        if (res.confirm) {
          BLESDK.closeBluetoothAdapter()
          Taro.showToast({ title: '设备解绑成功', icon: 'success' })
        }
      }
    })
  }

  return (
    <View className='index device'>
      {deviceInfo?.name ? <>
        <View className='deviceinfo'>
          <Image src={connectble} className='deviceimg' />
          <View className='item'>
            <View className='item-label'>连接状态</View>
            <View className='item-text active'>{isLink ? '已连接' : '未连接'}</View>
          </View>
          <View className='item'>
            <View className='item-label'>设备名称</View>
            <View className='item-text'>{deviceInfo.name}</View>
          </View>
          <View className='item'>
            <View className='item-label'>MAC 地址</View>
            <View className='item-text'>{deviceInfo.mac}</View>
          </View>
        </View>
        <View className='btn' onClick={unbind}>解绑设备</View>
      </> :
        <View className='adddevice' onClick={addDevice}>
          <Image src={addDev} className='addimg' />
          <View className='text'>添加设备</View>
        </View>
      }
    </View>
  )
}
